Package com.sas.lsaf.content.repository

## Class RepositoryItemNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.content.repository.RepositoryException
        - - com.sas.lsaf.content.repository.RepositoryItemException
          - - com.sas.lsaf.content.repository.RepositoryItemNotFoundException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RepositoryItemNotFoundException
      extends RepositoryItemException

  Thrown when the specified repository item is not found.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryItemNotFoundException​(java.lang.String path, java.lang.String message)` | Constructs a `RepositoryItemNotFoundException` with the specified path and message.

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.content.repository.RepositoryItemException

      `getPath`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryItemNotFoundException

          public RepositoryItemNotFoundException​(java.lang.String path,
                                                 java.lang.String message)

      Constructs a `RepositoryItemNotFoundException` with the specified path and message.
      Parameters:
        `path` - The path to the repository item.
        `message` - The detail message (which is saved for later retrieval by `AbstractCheckedException.getMessage()`).